%{?nodejs_find_provides_and_requires}

%global packagename pad-left
%global enable_tests 1

Name:		nodejs-pad-left
Version:	2.0.1
Release:	1%{?dist}
Summary:	Left pad a string with zeros or a specified string

License:	MIT
URL:		https://github.com/jonschlinkert/pad-left.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/pad-left/master/test.js

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(repeat-string)
%if 0%{?enable_tests}
BuildRequires:	npm(mocha)
BuildRequires:	npm(should)
%endif

%description
Left pad a string with zeros or a specified string. Fastest implementation.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Initial packaging
